Bug 151515 - Wrong chmod for fetchmailrc in port mail/fetchmail
Summary: Wrong chmod for fetchmailrc in port mail/fetchmail
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-17 11:40 UTC by Alexander Milanov
Modified: 2010-10-20 14:10 UTC (History)
0 users

See Also:


Attachments
file.diff (688 bytes, patch)
2010-10-17 11:40 UTC, Alexander Milanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Milanov 2010-10-17 11:40:08 UTC
Fetchmail installed from the ports and started as is complains about the file mod of fetchmailrc ("File /usr/local/etc/fetchmailrc must have no more than -rwx------ (0700) permissions.") and exits.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-10-17 11:40:11 UTC
Maintainer of mail/fetchmail,

Please note that PR ports/151515 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/151515

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-10-17 11:40:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Po-Chuan Hsieh freebsd_committer 2010-10-17 12:12:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I will take it.
Comment 4 Corey Halpin 2010-10-17 13:19:48 UTC
On 2010-10-17, Edwin Groothuis wrote:
>Maintainer of mail/fetchmail,
>
>Please note that PR ports/151515 has just been submitted.
>
>If it contains a patch for an upgrade, an enhancement or a bug fix
>you agree on, reply to this email stating that you approve the patch
>and a committer will take care of it.
>
>The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/151515

   Looks good, approve.

~crh
Comment 5 dfilter service freebsd_committer 2010-10-19 09:07:45 UTC
sunpoet     2010-10-19 08:07:39 UTC

  FreeBSD ports repository

  Modified files:
    mail/fetchmail       Makefile 
  Log:
  - Change PREFIX/etc/fetchmailrc.sample permission from 644 to 600
  - Bump PORTREVISION
  
  PR:             ports/151515
  Submitted by:   Alexander Milanov <a@amilanov.com>
  Approved by:    Corey Halpin <chalpin@cs.wisc.edu> (maintainer), pgollucci (mentor, implicit)
  
  Revision  Changes    Path
  1.211     +2 -2      ports/mail/fetchmail/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Po-Chuan Hsieh freebsd_committer 2010-10-19 09:07:55 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 7 Alexander Milanov 2010-10-20 14:08:30 UTC
Thanks, but the commited version still sets 0640 for
${PREFIX}/etc/fetchmailrc.

Is this intentional?